Bug 187634 - [PATCH] audio/alsa-utils: Fix package build with XMLTO turned off
[PATCH] audio/alsa-utils: Fix package build with XMLTO turned off
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-16 15:10 UTC by xmj
Modified: 2014-03-17 16:00 UTC (History)
1 user (show)

See Also:


Attachments
alsa-utils-1.0.27.2.patch (1.09 KB, patch)
2014-03-16 15:10 UTC, xmj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description xmj 2014-03-16 15:10:00 UTC
- Fix package build
- Deprecate USE_BZIP

Unsetting the XMLTO option leads to a situation in which alsactl_init.7.gz won't
be present, leading to a failure of pkg create during port compilation.

Adding the OPTIONS_SUB knob and an %%XMLTO%% to the pkg-plist fixes this.

Port maintainer (aragon@phat.za.net) is cc'd.

port test: ok
testport: ok
redports: https://redports.org/buildarchive/20140316150300-18521/

Generated with FreeBSD Port Tools 1.00.2014.03.16 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-16 15:10:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-03-16 15:10:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-03-16 15:10:06 UTC
Maintainer of audio/alsa-utils,

Please note that PR ports/187634 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187634

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Aragon Gouveia 2014-03-16 15:52:31 UTC
Should be fine.  Thanks!
Comment 5 dfilter freebsd_committer 2014-03-17 15:50:52 UTC
Author: swills
Date: Mon Mar 17 15:50:48 2014
New Revision: 348484
URL: http://svnweb.freebsd.org/changeset/ports/348484
QAT: https://qat.redports.org/buildarchive/r348484/

Log:
  - Fix package build
  - Deprecate USE_BZIP
  
  PR:		ports/187634
  Submitted by:	Johannes Jost Meixner <xmj@chaot.net>
  Approved by:	Aragon Gouveia <aragon@phat.za.net> (maintainer)

Modified:
  head/audio/alsa-utils/Makefile
  head/audio/alsa-utils/pkg-plist

Modified: head/audio/alsa-utils/Makefile
==============================================================================
--- head/audio/alsa-utils/Makefile	Mon Mar 17 15:50:33 2014	(r348483)
+++ head/audio/alsa-utils/Makefile	Mon Mar 17 15:50:48 2014	(r348484)
@@ -3,6 +3,7 @@
 
 PORTNAME=	alsa-utils
 PORTVERSION=	1.0.27.2
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	ALSA/utils \
 		GENTOO/distfiles
@@ -13,12 +14,12 @@ COMMENT=	ALSA compatibility utils
 LIB_DEPENDS=	libasound.so:${PORTSDIR}/audio/alsa-lib
 RUN_DEPENDS=	${LOCALBASE}/lib/alsa-lib/libasound_module_pcm_oss.so:${PORTSDIR}/audio/alsa-plugins
 
-USE_BZIP2=	yes
-USES=		gmake
+USES=		gmake tar:bzip2
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-udev-rules-dir="\$${prefix}/lib/udev"
 CFLAGS+=	-I${LOCALBASE}/include
 
+OPTIONS_SUB=	yes
 OPTIONS_DEFINE=	XMLTO NLS
 OPTIONS_DEFAULT=XMLTO
 XMLTO_DESC=	Generate alsactl_init(7) man page using xmlto(1)

Modified: head/audio/alsa-utils/pkg-plist
==============================================================================
--- head/audio/alsa-utils/pkg-plist	Mon Mar 17 15:50:33 2014	(r348483)
+++ head/audio/alsa-utils/pkg-plist	Mon Mar 17 15:50:48 2014	(r348484)
@@ -29,7 +29,7 @@ man/man1/aseqdump.1.gz
 man/man1/aseqnet.1.gz
 man/man1/iecset.1.gz
 man/man1/speaker-test.1.gz
-man/man7/alsactl_init.7.gz
+%%XMLTO%%man/man7/alsactl_init.7.gz
 man/man8/alsaconf.8.gz
 sbin/alsaconf
 sbin/alsactl
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Steve Wills freebsd_committer 2014-03-17 15:51:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!